﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WebCam_Capture;

namespace ct
{
    public partial class Form1 : Form
    {
        WebCamCapture wc;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            wc = new WebCamCapture();
            wc.TimeToCapture_milliseconds = 30000;
            wc.ImageCaptured += new WebCamCapture.WebCamEventHandler(wc_ImageCaptured);
            wc.Start(0);
  
        }

        void wc_ImageCaptured(object source, WebcamEventArgs e)
        {
            if (!Directory.Exists(@"C:\tempcamfiles"))
            {
                Directory.CreateDirectory(@"C:\tempcamfiles");
            }
            
            e.WebCamImage.Save(@"C:\tempcamfiles\IMG" + DateTime.Now.Ticks + ".jpg", ImageFormat.Jpeg);    
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            wc.Stop();
        }
    }
}
